﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.Services;
using System.Data.SqlClient;
using System.Data;
using System.Configuration;

public partial class e_bind_gridview_with_jquery_ajax_index : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        if (!IsPostBack)
        {
            BindDummyRow();
        }
    }

    private void BindDummyRow()
    {
        DataTable dummy = new DataTable();
        dummy.Columns.Add("RowNum");
        dummy.Columns.Add("ProductName");
        dummy.Columns.Add("QuantityPerUnit");
        dummy.Columns.Add("UnitPrice");
        dummy.Columns.Add("UnitsInStock");
        dummy.Rows.Add();
        gridView.DataSource = dummy;
        gridView.DataBind();
        gridView.Style.Add("display", "none");
    }

    [WebMethod]
    public static string bind(string pageNo)
    {
        SqlConnection conn = new SqlConnection();
        SqlCommand cmd = new SqlCommand();
        DataSet dataSet = new DataSet();

        conn.ConnectionString = ConfigurationManager.ConnectionStrings["CS"].ConnectionString;
        cmd.Connection = conn;

        cmd.CommandType = CommandType.StoredProcedure;
        cmd.CommandText = "sp_GetProductByCustomPaging";
        cmd.Parameters.AddWithValue("@PageNo", pageNo);
        cmd.Parameters.AddWithValue("@pageSize", 10);

        SqlDataAdapter sqlDataAdapter = new SqlDataAdapter();
        sqlDataAdapter.SelectCommand = cmd;
        sqlDataAdapter.Fill(dataSet);
        return dataSet.GetXml();
    }
}